Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ajax4jsf.taglib.html.facelets
Class FacetHandler

    java.lang.Object
      com.sun.facelets.tag.TagHandler
          org.ajax4jsf.taglib.html.facelets.FacetHandler

All Implemented Interfaces:
  com.sun.facelets.FaceletHandler

    public final class FacetHandler

extends com.sun.facelets.tag.TagHandler

Register a named facet on the UIComponent associated with the closest parent UIComponent custom action.

See tag documentation.

Version:
  $Id: FacetHandler.java,v 1.1.2.1 2007/02/01 15:31:21 alexsmirnov Exp $
Author:
  Jacob Hookom

Field Summary
`protected com.sun.facelets.tag.TagAttribute` | `name`

Fields inherited from class com.sun.facelets.tag.TagHandler
`nextHandler, tag, tagId`

Constructor Summary
`FacetHandler(com.sun.facelets.tag.TagConfig config)`

Method Summary
`void` | `apply(com.sun.facelets.FaceletContext ctx, javax.faces.component.UIComponent parent)`

Methods inherited from class com.sun.facelets.tag.TagHandler
`findNextByType, getAttribute, getRequiredAttribute, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### name

    protected final com.sun.facelets.tag.TagAttribute name

Constructor Detail

### FacetHandler

    public FacetHandler(com.sun.facelets.tag.TagConfig config)

Method Detail

### apply

    public void apply(com.sun.facelets.FaceletContext ctx,
                      javax.faces.component.UIComponent parent)
               throws java.io.IOException,
                      javax.faces.FacesException,
                      com.sun.facelets.FaceletException,
                      javax.el.ELException

  Throws:
    `java.io.IOException`
    `javax.faces.FacesException`
    `com.sun.facelets.FaceletException`
    `javax.el.ELException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.